SDL_GetJoystickNameForID(3)

NAME
SDL_GetJoystickNameForID - Get the implementation dependent name of a joystick.

SYNOPSIS
#include <SDL3/SDL_joystick.h>

const char * SDL_GetJoystickNameForID(SDL_JoystickID instance_id);

DESCRIPTION
This can be called before any joysticks are opened.

FUNCTION PARAMETERS

instance_id
    the joystick instance ID.

RETURN VALUE
for more information.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_GetJoystickName(3), SDL_GetJoysticks(3)